From 8e2448d05901cd29d1691b599c2212c5714044a3 Mon Sep 17 00:00:00 2001
From: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
Date: Thu, 12 Jul 2007 18:15:21 -0500
Subject: [PATCH] Added common define CONFIG_CF_MII for do_mii()

Signed-off-by: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
---
 common/cmd_mii.c           |    2 +-
 include/configs/M5329EVB.h |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/common/cmd_mii.c b/common/cmd_mii.c
index c3f43d7..181f2e7 100644
--- a/common/cmd_mii.c
+++ b/common/cmd_mii.c
@@ -438,7 +438,7 @@ int do_mii (cmd_tbl_t * cmdtp, int flag, int argc, char *argv[])
 	int		rcode = 0;
 	char		*devname;
 
-#if defined(CONFIG_8xx) || defined(CONFIG_MCF532x)
+#if defined(CONFIG_8xx) || defined(CONFIG_CF_DOMII)
 	mii_init ();
 #endif
 
diff --git a/include/configs/M5329EVB.h b/include/configs/M5329EVB.h
index 7b353e2..2becb59 100644
--- a/include/configs/M5329EVB.h
+++ b/include/configs/M5329EVB.h
@@ -67,6 +67,7 @@
 #ifdef CONFIG_MCFFEC
 #	define CONFIG_NET_MULTI	1
 #	define CONFIG_MII		1
+#	define CONFIG_CF_DOMII
 #	define CFG_DISCOVER_PHY
 #	define CFG_RX_ETH_BUFFER	8
 #	define CFG_FAULT_ECHO_LINK_DOWN
-- 
1.5.2

